View Issue Details

IDProjectCategoryView StatusLast Update
0001681Common[All Projects] Generalpublic2016-08-28 18:49
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version2.0.3 
Summary0001681: Pouvoir "déployer" en local pour la partie SQL
DescriptionEn local, il faudrait mettre en place le même système que celui qui exécute les SQL lors d'un déploiment. Ainsi, je pourrait lancer simplement ce petit script (bash, batch ou mage?) pour mettre en place la BDD sur un nouveau poste de dev ou pour mettre à jour ma BDD d'un poste à l'autre (car pour l'instant, c'est tout manuel).

Egalement, en plus de faciliter cette opération, cela me permettrait de m'assurer que le système d'exécution des fichiers SQL (init et non-init) fonctionne correctement sans devoir lancer un déploiement "bidon".
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-08-27 15:16

administrator   ~0002171

Pas de "fake deploy" en local, car cela n'apporte rien (normalement, je ne dois pas avoir les miquettes que l'opération de deploy plante, puisque les releases sont incrémentales, et qu'en cas de plantage du deploy, tout est censé rester opérationnel)

En revanche, on peut maintenant lancer le script SQL pour mettre à jour la BDD locale, et donc s'assurer que les choses ne devraient pas planter en prod.

Pour cela, il suffit d'une config NetBeans:
Run as: Script (command line)
Interpreter: E:\Projets\Web\misc\common\sources\batch\deploy-sql-on-local.bat
Arguments: -h 127.0.0.1 -P 3306 -u root -d tctg
où 127.0.0.1 est l'hote local, 3306 le port de la BDD locale, root le nom d'utilisateur et tctg le nom de la BDD

Un paramètre facultatif "-p" permet de spécifier le mot de passe

Le Working directory n'a pas a être définit: ce sera donc le dossier "sources" (où le projet netbeans est créé).

Les logs seront sauvés dans le dossier "tmp/sql" du répertoire parent de "sources" (aka: le dossier du projet complet)

Issue History

Date Modified Username Field Change
2016-08-25 23:32 Xenos New Issue
2016-08-25 23:32 Xenos Status New => Accepted
2016-08-27 10:19 Xenos Assigned To => Xenos
2016-08-27 10:19 Xenos Status Accepted => In progress
2016-08-27 15:16 Xenos Note Added: 0002171
2016-08-27 15:16 Xenos Status In progress => Ready
2016-08-27 15:16 Xenos Resolution open => fixed
2016-08-27 17:30 AutoUpdater Status Ready => Resolved
2016-08-27 17:31 AutoUpdater Fixed in Version => 2.0.3
2016-08-28 18:49 Xenos Status Resolved => Close